Bug 221457 - print/frescobaldi: Fixed manpages location; Added USES=desktop-file-utils; Added python version spec.
Summary: print/frescobaldi: Fixed manpages location; Added USES=desktop-file-utils; Ad...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-13 02:50 UTC by Yuri Victorovich
Modified: 2017-08-24 19:55 UTC (History)
2 users (show)

See Also:
martin.dieringer: maintainer-feedback+


Attachments
patch (839 bytes, patch)
2017-08-13 02:50 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-13 02:50:44 UTC
Created attachment 185341 [details]
patch

QAs:
* poudriere 11.1 amd64
* portlint
Comment 1 Richard Gallamore freebsd_committer 2017-08-21 02:55:44 UTC
Pending maintainer approval.
Comment 2 martin.dieringer 2017-08-21 06:08:16 UTC
ok, if /usr/local/share/man/ is forbidden
Comment 3 Richard Gallamore freebsd_committer 2017-08-21 06:33:15 UTC
(In reply to martin.dieringer from comment #2)
While it's not forbidden, running the "man frescobaldi" command with the manpage in this directory will not find the man page. What's more it is also not automatically compressed before generating the package/before install. It would be best to change it as suggested by Yuri.
Comment 4 Yuri Victorovich freebsd_committer 2017-08-21 06:42:36 UTC
(In reply to Richard Gallamore from comment #3)

> While it's not forbidden, running the "man frescobaldi" command with the manpage

It should be forbidden. There should be no reason to have multiple locations for manpages, and, as you mentioned, they aren't handled properly otherwise.
Comment 5 Richard Gallamore freebsd_committer 2017-08-24 17:27:13 UTC
(In reply to Yuri Victorovich from comment #4)
why is python 3.4 the max version?
Comment 6 Yuri Victorovich freebsd_committer 2017-08-24 18:55:03 UTC
(In reply to Richard Gallamore from comment #5)

Please see setup.py for the list of python versions.
Comment 7 Richard Gallamore freebsd_committer 2017-08-24 19:12:02 UTC
Ah, I see now why I was confused. Was looking at v3.0 not 2.20.
Comment 8 commit-hook freebsd_committer 2017-08-24 19:54:39 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug 24 19:53:57 UTC 2017
New revision: 448705
URL: https://svnweb.freebsd.org/changeset/ports/448705

Log:
  * Bump revision, fixed manpages location
  * Added desktop-file-utils
  * Max python version specified
  * Cleanup Makefile

  PR:		221457
  Submitted by:	Yuri Victorovich
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	lifanov (mentor), <martin.dieringer@gmx.de> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D12096

Changes:
  head/print/frescobaldi/Makefile
Comment 9 Richard Gallamore freebsd_committer 2017-08-24 19:55:05 UTC
Committed, thanks!